Ext.data.JsonP.CKEDITOR_Adapters_jQuery({"tagname":"class","name":"CKEDITOR_Adapters.jQuery","autodetected":{},"files":[{"filename":"ckeditor.js","href":"ckeditor.html#CKEDITOR_Adapters-jQuery"}],"singleton":true,"aside":[{"tagname":"aside","type":"guide","name":"dev_jquery"}],"members":[{"name":"editor","tagname":"property","owner":"CKEDITOR_Adapters.jQuery","id":"property-editor","meta":{}},{"name":"promise","tagname":"property","owner":"CKEDITOR_Adapters.jQuery","id":"property-promise","meta":{}},{"name":"ckeditor","tagname":"method","owner":"CKEDITOR_Adapters.jQuery","id":"method-ckeditor","meta":{"chainable":true}},{"name":"ckeditorGet","tagname":"method","owner":"CKEDITOR_Adapters.jQuery","id":"method-ckeditorGet","meta":{"deprecated":{"text":"<p>Use <a href=\"#!/api/CKEDITOR_Adapters.jQuery-property-editor\" rel=\"CKEDITOR_Adapters.jQuery-property-editor\" class=\"docClass\">editor property</a> instead.</p>\n"}}},{"name":"val","tagname":"method","owner":"CKEDITOR_Adapters.jQuery","id":"method-val","meta":{}},{"name":"dataReady","tagname":"event","owner":"CKEDITOR_Adapters.jQuery","id":"event-dataReady","meta":{}},{"name":"destroy","tagname":"event","owner":"CKEDITOR_Adapters.jQuery","id":"event-destroy","meta":{}},{"name":"getData","tagname":"event","owner":"CKEDITOR_Adapters.jQuery","id":"event-getData","meta":{}},{"name":"instanceReady","tagname":"event","owner":"CKEDITOR_Adapters.jQuery","id":"event-instanceReady","meta":{}},{"name":"setData","tagname":"event","owner":"CKEDITOR_Adapters.jQuery","id":"event-setData","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-CKEDITOR_Adapters.jQuery","short_doc":"The jQuery Adapter allows for easy use of basic CKEditor functions and access to the internal API. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/ckeditor.html#CKEDITOR_Adapters-jQuery' target='_blank'>ckeditor.js</a></div></pre><div class='doc-contents'><p>The jQuery Adapter allows for easy use of basic CKEditor functions and access to the internal API.\nTo find more information about the jQuery Adapter, go to the <a href=\"#!/guide/dev_jquery\">jQuery Adapter section</a>\nof the Developer's Guide or see the \"Create Editors with jQuery\" sample.</p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-editor' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CKEDITOR_Adapters.jQuery'>CKEDITOR_Adapters.jQuery</span><br/><a href='source/ckeditor.html#CKEDITOR_Adapters-jQuery-property-editor' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CKEDITOR_Adapters.jQuery-property-editor' class='name expandable'>editor</a> : CKEDITOR.editor<span class=\"signature\"></span></div><div class='description'><div class='short'>Existing CKEditor instance. ...</div><div class='long'><p>Existing CKEditor instance. Allows to easily use the internal API.</p>\n\n<p><strong>Note</strong>: This is not a jQuery object.</p>\n\n<pre><code>var editor = $( 'textarea' ).ckeditor().editor;\n</code></pre>\n</div></div></div><div id='property-promise' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CKEDITOR_Adapters.jQuery'>CKEDITOR_Adapters.jQuery</span><br/><a href='source/ckeditor.html#CKEDITOR_Adapters-jQuery-property-promise' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CKEDITOR_Adapters.jQuery-property-promise' class='name expandable'>promise</a> : Function<span class=\"signature\"></span></div><div class='description'><div class='short'>The jQuery Promise object) that handles the asynchronous constructor. ...</div><div class='long'><p>The <a href=\"(http://api.jquery.com/promise/\">jQuery Promise object</a>) that handles the asynchronous constructor.\nThis promise will be resolved after <strong>all</strong> of the constructors.</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-ckeditor' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CKEDITOR_Adapters.jQuery'>CKEDITOR_Adapters.jQuery</span><br/><a href='source/ckeditor.html#CKEDITOR_Adapters-jQuery-method-ckeditor' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CKEDITOR_Adapters.jQuery-method-ckeditor' class='name expandable'>ckeditor</a>( <span class='pre'>callback, config</span> ) : Object<span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>A jQuery function which triggers the creation of CKEditor with &lt;textarea&gt; and\neditable elements. ...</div><div class='long'><p>A jQuery function which triggers the creation of CKEditor with <code>&lt;textarea&gt;</code> and\neditable elements.\nEvery <code>&lt;textarea&gt;</code> element will be converted to a framed editor, while any other\nsupported element will be converted to an inline editor.\nThis method binds the callback to the <code>instanceReady</code> event of all instances.\nIf the editor has already been created, the callback is fired straightaway.\nYou can also create multiple editors at once by using <code>$( '.className' ).ckeditor();</code>.</p>\n\n<p><strong>Note</strong>: jQuery chaining and mixed parameter order is allowed.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>callback</span> : Function<div class='sub-desc'><p>Function to be run on the editor instance. Callback takes the source element as a parameter.</p>\n\n<pre><code>$( 'textarea' ).ckeditor( function( textarea ) {\n    // Callback function code.\n} );\n</code></pre>\n</div></li><li><span class='pre'>config</span> : Object<div class='sub-desc'><p>Configuration options for new instance(s) if not already created.</p>\n\n<pre><code>$( 'textarea' ).ckeditor( {\n    uiColor: '#9AB8F3'\n} );\n</code></pre>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>jQuery.fn</p>\n</div></li></ul></div></div></div><div id='method-ckeditorGet' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CKEDITOR_Adapters.jQuery'>CKEDITOR_Adapters.jQuery</span><br/><a href='source/ckeditor.html#CKEDITOR_Adapters-jQuery-method-ckeditorGet' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CKEDITOR_Adapters.jQuery-method-ckeditorGet' class='name expandable'>ckeditorGet</a>( <span class='pre'></span> ) : Object<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Returns an existing CKEditor instance for the first matched element. ...</div><div class='long'><p>Returns an existing CKEditor instance for the first matched element.\nAllows to easily use the internal API. Does not return a jQuery object.</p>\n\n<p>Raises an exception if the editor does not exist or is not ready yet.</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Use <a href=\"#!/api/CKEDITOR_Adapters.jQuery-property-editor\" rel=\"CKEDITOR_Adapters.jQuery-property-editor\" class=\"docClass\">editor property</a> instead.</p>\n\n        </div>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>CKEDITOR.editor</p>\n</div></li></ul></div></div></div><div id='method-val' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CKEDITOR_Adapters.jQuery'>CKEDITOR_Adapters.jQuery</span><br/><a href='source/ckeditor.html#CKEDITOR_Adapters-jQuery-method-val' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CKEDITOR_Adapters.jQuery-method-val' class='name expandable'>val</a>( <span class='pre'></span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Overwritten jQuery val() method for &lt;textarea&gt; elements that have bound CKEditor instances. ...</div><div class='long'><p>Overwritten jQuery <code>val()</code> method for <code>&lt;textarea&gt;</code> elements that have bound CKEditor instances.\nThis method gets or sets editor content by using the editor.getData()\nor editor.setData() methods. To handle\nthe editor.setData() callback (as <code>setData</code> is asynchronous),\n<code>val( 'some data' )</code> will return a <a href=\"http://api.jquery.com/promise/\">jQuery Promise object</a>.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>String|Number|Array|jQuery.fn|function(jQuery Promise)</p>\n</div></li></ul></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-event'>Events</h3><div class='subsection'><div id='event-dataReady' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CKEDITOR_Adapters.jQuery'>CKEDITOR_Adapters.jQuery</span><br/><a href='source/ckeditor.html#CKEDITOR_Adapters-jQuery-event-dataReady' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CKEDITOR_Adapters.jQuery-event-dataReady' class='name expandable'>dataReady</a>( <span class='pre'>editor</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Forwards the CKEditor dataReady event as a jQuery event. ...</div><div class='long'><p>Forwards the CKEditor dataReady event as a jQuery event.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>editor</span> : CKEDITOR.editor<div class='sub-desc'><p>Editor instance.</p>\n</div></li></ul></div></div></div><div id='event-destroy' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CKEDITOR_Adapters.jQuery'>CKEDITOR_Adapters.jQuery</span><br/><a href='source/ckeditor.html#CKEDITOR_Adapters-jQuery-event-destroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CKEDITOR_Adapters.jQuery-event-destroy' class='name expandable'>destroy</a>( <span class='pre'>editor</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Forwards the CKEditor destroy event as a jQuery event. ...</div><div class='long'><p>Forwards the CKEditor destroy event as a jQuery event.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>editor</span> : CKEDITOR.editor<div class='sub-desc'><p>Editor instance.</p>\n</div></li></ul></div></div></div><div id='event-getData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CKEDITOR_Adapters.jQuery'>CKEDITOR_Adapters.jQuery</span><br/><a href='source/ckeditor.html#CKEDITOR_Adapters-jQuery-event-getData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CKEDITOR_Adapters.jQuery-event-getData' class='name expandable'>getData</a>( <span class='pre'>editor, data</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Forwards the CKEditor getData event as a jQuery event. ...</div><div class='long'><p>Forwards the CKEditor getData event as a jQuery event.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>editor</span> : CKEDITOR.editor<div class='sub-desc'><p>Editor instance.</p>\n</div></li><li><span class='pre'>data</span> : Object<div class='sub-desc'>\n<ul><li><span class='pre'>dataValue</span> : String<div class='sub-desc'><p>The data that will be returned.</p>\n</div></li></ul></div></li></ul></div></div></div><div id='event-instanceReady' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CKEDITOR_Adapters.jQuery'>CKEDITOR_Adapters.jQuery</span><br/><a href='source/ckeditor.html#CKEDITOR_Adapters-jQuery-event-instanceReady' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CKEDITOR_Adapters.jQuery-event-instanceReady' class='name expandable'>instanceReady</a>( <span class='pre'>editor</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Forwards the CKEditor instanceReady event as a jQuery event. ...</div><div class='long'><p>Forwards the CKEditor instanceReady event as a jQuery event.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>editor</span> : CKEDITOR.editor<div class='sub-desc'><p>Editor instance.</p>\n</div></li></ul></div></div></div><div id='event-setData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='CKEDITOR_Adapters.jQuery'>CKEDITOR_Adapters.jQuery</span><br/><a href='source/ckeditor.html#CKEDITOR_Adapters-jQuery-event-setData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/CKEDITOR_Adapters.jQuery-event-setData' class='name expandable'>setData</a>( <span class='pre'>editor, data</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Forwards the CKEditor setData event as a jQuery event. ...</div><div class='long'><p>Forwards the CKEditor setData event as a jQuery event.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>editor</span> : CKEDITOR.editor<div class='sub-desc'><p>Editor instance.</p>\n</div></li><li><span class='pre'>data</span> : Object<div class='sub-desc'>\n<ul><li><span class='pre'>dataValue</span> : String<div class='sub-desc'><p>The data that will be used.</p>\n</div></li></ul></div></li></ul></div></div></div></div></div></div></div>","meta":{}});