Ext.data.JsonP.Class({"tagname":"class","name":"Class","autodetected":{},"files":[{"filename":"class.js","href":"class.html#Class"}],"since":"1.0","params":[{"tagname":"params","type":"String","name":"classname","doc":"<p>A scope name in dot natation to define the class global.\n    @optional</p>\n","html_type":"String"},{"tagname":"params","type":"Array, Class","name":"superclass","doc":"<p>A class object or an array of class objects.\n    @optional</p>\n","html_type":"Array, Class"},{"tagname":"params","type":"Object","name":"properties","doc":"<p>An object of methods and properties for the speciefied class.\n        @option     {Function}      constructor     The class constructer which will be called on instantiate.\n        @optional</p>\n","html_type":"Object"}],"return":{"type":"Class","name":"return","doc":"<p>@description        Javascript doesn't have a Class system like Java, <code>Class()</code> simulates this.</p>\n\n<pre><code>                #### Setup a constuctor for the class\n                If a method of the properties named *constructor*, it will be interpreted as the constructor method on\n                calling a new instance of the class. Also all constuctors of superclasses will be exectuted on calling a\n                new instance of the class.\n\n                #### Call overwritten inherited methods\n                If a class overwrites a method of a superclass with an own method, you can call the original method inside\n                of the new method in the following way ```this._super(arg1, argN)``` or ```this._superApply(args)```.\n</code></pre>\n\n<p>@example            Working with the class system.</p>\n\n<pre><code>                &lt;script&gt;\n                require(\"class\", function (Class) {\n\n                    Class(\"example.Controller\", {\n                        contructor: function(){\n                            this.handles = {};\n                        },\n                        addHandle: function( name, fn ){\n                            this.handles[ name ] = fn;\n                        },\n                        removeHandle: function( name ){\n                            delete( this.handles[ name ] );\n                        }\n                    });\n\n                    // define a class object and inherit properties from a superclass\n                    Class( \"advanced.Controller\", example.Controller, {\n                        contructor: function( rsort ){\n                            // The inherited constructor method will run automatically\n                            this.handlesSort = [];\n                            this.rsort = rsort;\n                        },\n                        addHandle: function( name, fn ){\n                            // Call the inherited method\n                            this._superApply(arguments);\n\n                            // More functionallity\n                        },\n                        getSorted: function(){\n                            var result = {};\n\n                            // Sort handles\n\n                            return result;\n                        }\n                    });\n\n                    // Get a instance on a class\n                    var test = new advanced.Controller();\n\n                    // Add handles to this instance\n                    test.addHandle( \"C\", function(){} );\n                    test.addHandle( \"B\", function(){} );\n                    test.addHandle( \"A\", function(){} );\n\n                    // Remove a handle\n                    test.removeHandle( \"B\" );\n\n                    // Set the rsort property to true, to reverse order on call .getSorted()\n                    test.rsort = true;\n\n                    // Get all handles\n                    test.getSorted();\n\n                });\n                &lt;/script&gt;\n</code></pre>\n","properties":null,"html_type":"<a href=\"#!/api/Class\" rel=\"Class\" class=\"docClass\">Class</a>"},"members":[{"name":"","tagname":"method","owner":"Class","id":"method-","meta":{}},{"name":"_proxy","tagname":"method","owner":"Class","id":"method-_proxy","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-Class","short_doc":"Create a class object. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/class.html#Class' target='_blank'>class.js</a></div></pre><div class='doc-contents'><p>Create a class object.</p>\n\n<p>@category           Utilities</p>\n\n<p>@signature</p>\n        <p>Available since: <b>1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>classname</span> : String<div class='sub-desc'><p>A scope name in dot natation to define the class global.\n    @optional</p>\n</div></li><li><span class='pre'>superclass</span> : Array, Class<div class='sub-desc'><p>A class object or an array of class objects.\n    @optional</p>\n</div></li><li><span class='pre'>properties</span> : Object<div class='sub-desc'><p>An object of methods and properties for the speciefied class.\n        @option     {Function}      constructor     The class constructer which will be called on instantiate.\n        @optional</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Class\" rel=\"Class\" class=\"docClass\">Class</a></span><div class='sub-desc'><p>@description        Javascript doesn't have a Class system like Java, <code>Class()</code> simulates this.</p>\n\n<pre><code>                #### Setup a constuctor for the class\n                If a method of the properties named *constructor*, it will be interpreted as the constructor method on\n                calling a new instance of the class. Also all constuctors of superclasses will be exectuted on calling a\n                new instance of the class.\n\n                #### Call overwritten inherited methods\n                If a class overwrites a method of a superclass with an own method, you can call the original method inside\n                of the new method in the following way ```this._super(arg1, argN)``` or ```this._superApply(args)```.\n</code></pre>\n\n<p>@example            Working with the class system.</p>\n\n<pre><code>                &lt;script&gt;\n                require(\"class\", function (Class) {\n\n                    Class(\"example.Controller\", {\n                        contructor: function(){\n                            this.handles = {};\n                        },\n                        addHandle: function( name, fn ){\n                            this.handles[ name ] = fn;\n                        },\n                        removeHandle: function( name ){\n                            delete( this.handles[ name ] );\n                        }\n                    });\n\n                    // define a class object and inherit properties from a superclass\n                    Class( \"advanced.Controller\", example.Controller, {\n                        contructor: function( rsort ){\n                            // The inherited constructor method will run automatically\n                            this.handlesSort = [];\n                            this.rsort = rsort;\n                        },\n                        addHandle: function( name, fn ){\n                            // Call the inherited method\n                            this._superApply(arguments);\n\n                            // More functionallity\n                        },\n                        getSorted: function(){\n                            var result = {};\n\n                            // Sort handles\n\n                            return result;\n                        }\n                    });\n\n                    // Get a instance on a class\n                    var test = new advanced.Controller();\n\n                    // Add handles to this instance\n                    test.addHandle( \"C\", function(){} );\n                    test.addHandle( \"B\", function(){} );\n                    test.addHandle( \"A\", function(){} );\n\n                    // Remove a handle\n                    test.removeHandle( \"B\" );\n\n                    // Set the rsort property to true, to reverse order on call .getSorted()\n                    test.rsort = true;\n\n                    // Get all handles\n                    test.getSorted();\n\n                });\n                &lt;/script&gt;\n</code></pre>\n</div></li></ul></div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Class'>Class</span><br/><a href='source/class.html#Class-method-' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Class-method-' class='name expandable'></a>( <span class='pre'>function, strict</span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>@function           Class.isClass   Determine whether the given argument is an class object. ...</div><div class='long'><p>@function           Class.isClass   Determine whether the given argument is an class object.</p>\n\n<p>@category           Utilities</p>\n\n<p>@signature</p>\n        <p>Available since: <b>1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>function</span> : Function<div class='sub-desc'><p>Object to test whether or not it is a function.</p>\n</div></li><li><span class='pre'>strict</span> : Boolean<div class='sub-desc'><p>A boolean indication whether the class was created with Class().\n    @optional</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'><p>@description        This method determines whether the argument is an class object.</p>\n\n<p>@example            Check whether the given object is a class.</p>\n\n<pre><code>                &lt;script&gt;\n                require(\"class\", function (Class) {\n\n                    var foo = {};\n\n                    foo.Controller = function( data ){\n                        this.data = data || {};\n                    }\n\n                    foo.prototype.getData = function(){\n                        return this.data;\n                    }\n\n                    Class( \"bar.Controller\", {\n                        contructor: function( data ){\n                            this.data = data || {};\n                        },\n                        getData: function(){\n                            return this.data;\n                        }\n                    });\n\n                    Class.isClass( bar );\n                    // Result is: true\n\n                    Class.isClass( foo );\n                    // Result is: true\n\n                    Class.isClass( bar, true );\n                    // Result is: true\n\n                    Class.isClass( foo, true );\n                    // Result is: false\n\n                });\n                &lt;/script&gt;\n</code></pre>\n</div></li></ul></div></div></div><div id='method-_proxy' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Class'>Class</span><br/><a href='source/class.html#Class-method-_proxy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Class-method-_proxy' class='name expandable'>_proxy</a>( <span class='pre'>function</span> ) : Function<span class=\"signature\"></span></div><div class='description'><div class='short'>This method is most useful for attaching event handlers to an element where the context is the current class instance. ...</div><div class='long'><p>This method is most useful for attaching event handlers to an element where the context is the current class instance.</p>\n\n<p>@signature</p>\n        <p>Available since: <b>1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>function</span> : String,Function<div class='sub-desc'><p>The function or the name of a function (from current instance) whose context will be changed to the current instance.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Function</span><div class='sub-desc'><p>@description        Additionally, <code>._proxy()</code> makes sure that even if you bind <code>jQuery.on()</code> the function with returned from <code>._proxy()</code> it will still unbind <code>jQuery.off()</code> the correct function, if passed the original.</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});