Ext.data.JsonP.de_epages_mediagallery_filemanager({"tagname":"class","name":"de_epages.mediagallery.filemanager","autodetected":{},"files":[{"filename":"filemanager.js","href":"filemanager2.html#de_epages-mediagallery-filemanager"}],"members":[{"name":"init","tagname":"method","owner":"de_epages.mediagallery.filemanager","id":"static-method-init","meta":{"static":true}}],"alternateClassNames":[],"aliases":{},"id":"class-de_epages.mediagallery.filemanager","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/filemanager2.html#de_epages-mediagallery-filemanager' target='_blank'>filemanager.js</a></div></pre><div class='doc-contents'>\n</div><div class='members'><div class='members-section'><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static methods</h3><div id='static-method-init' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='de_epages.mediagallery.filemanager'>de_epages.mediagallery.filemanager</span><br/><a href='source/filemanager2.html#de_epages-mediagallery-filemanager-static-method-init' target='_blank' class='view-source'>view source</a></div><a href='#!/api/de_epages.mediagallery.filemanager-static-method-init' class='name expandable'>init</a>( <span class='pre'>[options]</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Create an user interface to manage your files. ...</div><div class='long'><p>Create an user interface to manage your files.</p>\n\n<p>The <code>.<a href=\"#!/api/de_epages.mediagallery.filemanager-static-method-init\" rel=\"de_epages.mediagallery.filemanager-static-method-init\" class=\"docClass\">de_epages.mediagallery.filemanager.init</a>()</code> method creates an user interface which manages the organisation of your files.\nIn addition to that you can choose images from the image database or add, rename and delete files or directories. The file manager is a backbone app.\nFor embbeding it into a page please use the <code>.mediagalleryUiFilemanager()</code> method because it offers you the advantages of a widget.</p>\n\n<h3>Examples</h3>\n\n<p>Apply .<a href=\"#!/api/de_epages.mediagallery.filemanager\" rel=\"de_epages.mediagallery.filemanager\" class=\"docClass\">de_epages.mediagallery.filemanager</a>() method to an element and open the header images tab by default.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/de_epages.mediagallery.filemanager-static-method-init\" rel=\"de_epages.mediagallery.filemanager-static-method-init\" class=\"docClass\">de_epages.mediagallery.filemanager.init</a>({\nelement:       $(\"#filemanager\"),\nselectable:    \"image/\",\ncurrentFolder: \"HeaderImages\"\n});\n</code></pre>\n\n<p>HTML:</p>\n\n<pre><code>&lt;div id=\"filemanager\"&gt;&lt;/div&gt;\n</code></pre>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>backbone</code></li>\n<li><code>jQuery.ui.widget</code></li>\n<li><code>jQuery.tmpl</code></li>\n<li><code>jQuery.lazyload</code></li>\n<li><code>jQuery.ui.selectable</code></li>\n<li><code>jQuery.jstree</code></li>\n<li><code>jQuery.jstree.themes</code></li>\n<li><code>jQuery.jstree.json_data</code></li>\n<li><code><a href=\"#!/api/ep.dict\" rel=\"ep.dict\" class=\"docClass\">ep.dict</a></code></li>\n<li><code>ep.ui.tooltip</code></li>\n<li><code>de_epages</code></li>\n<li><code>de_epages.mediagallery.ui.memoryusage de_epages.presentation.ui.uploader</code></li>\n</ul>\n\n        <p>Available since: <b>6.15.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>options</span> : Object (optional)<div class='sub-desc'><p>A map of additional options pass to the method.</p>\n<ul><li><span class='pre'>accept</span> : String (optional)<div class='sub-desc'><p>A string of MIME types and/or MIME type groups which will be accepted by the uploader.</p>\n</div></li><li><span class='pre'>currentFolder</span> : String (optional)<div class='sub-desc'><p>A string containing the navigation element which will be opened by default. Possibilities: MediaGallery, HeaderImages, BackgroundImages, ImageDB</p>\n</div></li><li><span class='pre'>element</span> : <a href=\"#!/api/jQuery\" rel=\"jQuery\" class=\"docClass\">jQuery</a> (optional)<div class='sub-desc'><p>A jQuery Object containing the DOM node which will contain the file manager.</p>\n</div></li><li><span class='pre'>selectable</span> : String (optional)<div class='sub-desc'><p>A string of MIME types and/or MIME type groups which can be selected.</p>\n</div></li><li><span class='pre'>maxRender</span> : Number (optional)<div class='sub-desc'><p>A number of list elements that will be initially rendered and added by scrolling downwards.</p>\n</div></li><li><span class='pre'>showMediaGallery</span> : Number (optional)<div class='sub-desc'><p>Show or hide the MediaGallery directory.</p>\n</div></li><li><span class='pre'>showHeaderImages</span> : Number (optional)<div class='sub-desc'><p>Show or hide the HeaderImages directory.</p>\n</div></li><li><span class='pre'>showBackgroundImages</span> : Number (optional)<div class='sub-desc'><p>Show or hide the BackgroundImages directory.</p>\n</div></li><li><span class='pre'>showImageDB</span> : Number (optional)<div class='sub-desc'><p>Show or hide the ImageDB directory.</p>\n</div></li><li><span class='pre'>multiSelect</span> : Boolean (optional)<div class='sub-desc'><p>Allow to select one or several files.</p>\n</div></li></ul></div></li></ul></div></div></div></div></div></div></div>","meta":{}});