Ext.data.JsonP.jQuery_ui_externalcontentUiGoogleplus({"tagname":"class","name":"jQuery.ui.externalcontentUiGoogleplus","autodetected":{},"files":[{"filename":"googleplus.js","href":"googleplus.html#jQuery-ui-externalcontentUiGoogleplus"}],"extends":"jQuery.widget","uses":["de_epages","de_epages.externalcontent.ui.googleplus"],"since":"6.15.0","members":[{"name":"annotation","tagname":"cfg","owner":"jQuery.ui.externalcontentUiGoogleplus","id":"cfg-annotation","meta":{}},{"name":"href","tagname":"cfg","owner":"jQuery.ui.externalcontentUiGoogleplus","id":"cfg-href","meta":{}},{"name":"size","tagname":"cfg","owner":"jQuery.ui.externalcontentUiGoogleplus","id":"cfg-size","meta":{}},{"name":"destroy","tagname":"method","owner":"jQuery.ui.externalcontentUiGoogleplus","id":"method-destroy","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.externalcontentUiGoogleplus","short_doc":"Inserts Google-Plus button. ...","component":false,"superclasses":["jQuery.widget"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.widget<div class='subclass '><strong>jQuery.ui.externalcontentUiGoogleplus</strong></div></div><h4>Uses</h4><div class='dependency'>de_epages</div><div class='dependency'>de_epages.externalcontent.ui.googleplus</div><h4>Files</h4><div class='dependency'><a href='source/googleplus.html#jQuery-ui-externalcontentUiGoogleplus' target='_blank'>googleplus.js</a></div></pre><div class='doc-contents'><p>Inserts Google-Plus button.</p>\n\n<p>The Widget inserts a Google-Plus button into the target element on which the widget is executed on.</p>\n\n<h3>Examples</h3>\n\n<p>The Widget is executed on a pageelement and is called with passing optional parameters. In this example the Google-Plus button references to the web page of ePages, has the biggest available size and shows the amount of already given +1 for that page in a bubble next to the button.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>&lt;script&gt;\n        jQuery.ready({\n                plugin: [ 'e_epages.externalcontent.ui.googleplus' ],\n                DOM:    true\n            }, function($){\n                var widget = de_epages('&lt;div&gt;').externalcontentUiGoogleplus({\n                    href :  \"http://www.epages.com/de/\",\n                    size :  \"tall\",\n                    annotation : \"bubble\"\n                });\n\n            });\n&lt;/script&gt;\n</code></pre>\n\n<p>, jQuery.ui.widget</p>\n        <p>Available since: <b>6.15.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-annotation' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiGoogleplus'>jQuery.ui.externalcontentUiGoogleplus</span><br/><a href='source/googleplus.html#jQuery-ui-externalcontentUiGoogleplus-cfg-annotation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiGoogleplus-cfg-annotation' class='name expandable'>annotation</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'>The parameter defining the display of the amount of +1 the button target already has. ...</div><div class='long'><p>The parameter defining the display of the amount of +1 the button target already has. The possible values are: 'inline', 'bubble', 'none'. Default value is 'bubble'</p>\n</div></div></div><div id='cfg-href' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiGoogleplus'>jQuery.ui.externalcontentUiGoogleplus</span><br/><a href='source/googleplus.html#jQuery-ui-externalcontentUiGoogleplus-cfg-href' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiGoogleplus-cfg-href' class='name expandable'>href</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A reference to the target page to receive the +1</p>\n</div><div class='long'><p>A reference to the target page to receive the +1</p>\n</div></div></div><div id='cfg-size' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiGoogleplus'>jQuery.ui.externalcontentUiGoogleplus</span><br/><a href='source/googleplus.html#jQuery-ui-externalcontentUiGoogleplus-cfg-size' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiGoogleplus-cfg-size' class='name expandable'>size</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'>Defining the size of the Google button. ...</div><div class='long'><p>Defining the size of the Google button. Possible values are: 'small', 'medium', 'standard', 'tall'. The default value is 'standard'</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-destroy' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiGoogleplus'>jQuery.ui.externalcontentUiGoogleplus</span><br/><a href='source/googleplus.html#jQuery-ui-externalcontentUiGoogleplus-method-destroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiGoogleplus-method-destroy' class='name expandable'>destroy</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This method removes the container on which the Google-Plus button has been appended to. ...</div><div class='long'><p>This method removes the container on which the Google-Plus button has been appended to.</p>\n        <p>Available since: <b>6.15.0</b></p>\n</div></div></div></div></div></div></div>","meta":{}});