Ext.data.JsonP.jQuery_ui_uiColorpicker({"tagname":"class","name":"jQuery.ui.uiColorpicker","autodetected":{},"files":[{"filename":"colorpicker.js","href":"colorpicker.html#jQuery-ui-uiColorpicker"}],"extends":"jQuery.Widget","uses":["ep","ep.color","ep.colorpicker","ep.dict","ep.fn.contextOrientation","ep.ui.input","jQuery.metaparse","jQuery.tmpl","jQuery.ui.draggable","jQuery.ui.widget"],"since":"6.12.0","members":[{"name":"autoApply","tagname":"cfg","owner":"jQuery.ui.uiColorpicker","id":"cfg-autoApply","meta":{}},{"name":"autoOpen","tagname":"cfg","owner":"jQuery.ui.uiColorpicker","id":"cfg-autoOpen","meta":{}},{"name":"callback","tagname":"cfg","owner":"jQuery.ui.uiColorpicker","id":"cfg-callback","meta":{}},{"name":"color","tagname":"cfg","owner":"jQuery.ui.uiColorpicker","id":"cfg-color","meta":{}},{"name":"extended","tagname":"cfg","owner":"jQuery.ui.uiColorpicker","id":"cfg-extended","meta":{}},{"name":"orientation","tagname":"cfg","owner":"jQuery.ui.uiColorpicker","id":"cfg-orientation","meta":{}},{"name":"orientationAdjust","tagname":"cfg","owner":"jQuery.ui.uiColorpicker","id":"cfg-orientationAdjust","meta":{}},{"name":"transparent","tagname":"cfg","owner":"jQuery.ui.uiColorpicker","id":"cfg-transparent","meta":{}},{"name":"","tagname":"method","owner":"jQuery.ui.uiColorpicker","id":"method-","meta":{}},{"name":"close","tagname":"method","owner":"jQuery.ui.uiColorpicker","id":"method-close","meta":{}},{"name":"colorApply","tagname":"method","owner":"jQuery.ui.uiColorpicker","id":"method-colorApply","meta":{}},{"name":"colorReset","tagname":"method","owner":"jQuery.ui.uiColorpicker","id":"method-colorReset","meta":{}},{"name":"colorSelect","tagname":"method","owner":"jQuery.ui.uiColorpicker","id":"method-colorSelect","meta":{}},{"name":"open","tagname":"method","owner":"jQuery.ui.uiColorpicker","id":"method-open","meta":{}},{"name":"close","tagname":"event","owner":"jQuery.ui.uiColorpicker","id":"event-close","meta":{}},{"name":"colorApply","tagname":"event","owner":"jQuery.ui.uiColorpicker","id":"event-colorApply","meta":{}},{"name":"colorReset","tagname":"event","owner":"jQuery.ui.uiColorpicker","id":"event-colorReset","meta":{}},{"name":"colorSelect","tagname":"event","owner":"jQuery.ui.uiColorpicker","id":"event-colorSelect","meta":{}},{"name":"open","tagname":"event","owner":"jQuery.ui.uiColorpicker","id":"event-open","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.uiColorpicker","short_doc":"Add color picker handling for each element in the set of matched elements. ...","component":false,"superclasses":["jQuery.Widget"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.Widget<div class='subclass '><strong>jQuery.ui.uiColorpicker</strong></div></div><h4>Uses</h4><div class='dependency'><a href='#!/api/ep' rel='ep' class='docClass'>ep</a></div><div class='dependency'><a href='#!/api/ep.color' rel='ep.color' class='docClass'>ep.color</a></div><div class='dependency'>ep.colorpicker</div><div class='dependency'><a href='#!/api/ep.dict' rel='ep.dict' class='docClass'>ep.dict</a></div><div class='dependency'>ep.fn.contextOrientation</div><div class='dependency'>ep.ui.input</div><div class='dependency'>jQuery.metaparse</div><div class='dependency'>jQuery.tmpl</div><div class='dependency'>jQuery.ui.draggable</div><div class='dependency'>jQuery.ui.widget</div><h4>Files</h4><div class='dependency'><a href='source/colorpicker.html#jQuery-ui-uiColorpicker' target='_blank'>colorpicker.js</a></div></pre><div class='doc-contents'><p>Add color picker handling for each element in the set of matched elements.</p>\n\n<p>The <code>.uiColorpicker()</code> method add color picker open on click for each element in the set of matched elements.</p>\n\n<h3>Examples</h3>\n\n<p>Apply color picker for a button.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>ep('button')\n    .uiColorpicker({\n        autoOpen:       true,\n        orientation:    'right',\n        callback:       function( color ){\n            $(this).css( 'background-color', color );\n        }\n    });\n</code></pre>\n\n<p>HTML:</p>\n\n<pre><code>&lt;button&gt;select color&lt;/button&gt;\n</code></pre>\n\n<p>Apply extended color picker for a button.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>ep('button')\n    .uiColorpicker({\n        autoOpen:       true,\n        orientation:    'right',\n        callback:       function( color ){\n            $(this).css( 'background-color', color );\n        },\n        extended: {\n            userColors: {\n                'Color1' : '#0A528F',\n                'Color2' : '#EB670B',\n                'Color3' : '#B0BD35',\n                'Color4' : '#7336F0',\n                'Color5' : '#59506F',\n                'Color6' : '#D3EC5A',\n                'Color7' : '#6BDC5C',\n                'Color8' : '#1D9675',\n                'Color9' : '#E087C2',\n                'Color10': '#47B03D',\n                'Color11': '#8D6319',\n                'Color12': '#BFD33C',\n                'Color13': '#85EC28',\n                'Color14': '#5AD9E0',\n                'Color15': '#B27E86',\n                'Color16': '#420B62',\n                'Color17': '#F7C93F',\n                'Color18': '#60FBFC',\n                'Color19': '#85BBC6'\n            },\n            userColorsSave: function( serializedColorsArray ){\n                // save action to store the colors\n            },\n            baseColors: {\n                'Base1': '#12ff98',\n                'Base2': '#ef9372',\n                'Base3': '#093fec',\n                'Base4': '#ac2983',\n                'Base5': '#a57c9d'\n            }\n        }\n    });\n</code></pre>\n\n<p>HTML:</p>\n\n<pre><code>&lt;button&gt;select color&lt;/button&gt;\n</code></pre>\n        <p>Available since: <b>6.12.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-autoApply' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-cfg-autoApply' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-cfg-autoApply' class='name expandable'>autoApply</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication whether to apply the selected color instantly (apply button is hidden).</p>\n</div><div class='long'><p>A boolean indication whether to apply the selected color instantly (apply button is hidden).</p>\n</div></div></div><div id='cfg-autoOpen' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-cfg-autoOpen' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-cfg-autoOpen' class='name expandable'>autoOpen</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication whether to open the color picker on startup.</p>\n</div><div class='long'><p>A boolean indication whether to open the color picker on startup.</p>\n</div></div></div><div id='cfg-callback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-cfg-callback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-cfg-callback' class='name expandable'>callback</a> : Function<span class=\"signature\"></span></div><div class='description'><div class='short'>A function to be called on apply the selected color. ...</div><div class='long'><p>A function to be called on apply the selected color. Receives the selected color as argument: <code>callback( color )</code>.</p>\n</div></div></div><div id='cfg-color' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-cfg-color' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-cfg-color' class='name expandable'>color</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A named or hex formated startup color.</p>\n</div><div class='long'><p>A named or hex formated startup color.</p>\n</div></div></div><div id='cfg-extended' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-cfg-extended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-cfg-extended' class='name expandable'>extended</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Set this option to display the extended mode with predefined colors. ...</div><div class='long'><p>Set this option to display the extended mode with predefined colors. See the example...</p>\n</div></div></div><div id='cfg-orientation' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-cfg-orientation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-cfg-orientation' class='name expandable'>orientation</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A vertical and/or horizontal position relative to the matched element: middle, bottom, right, center or left.</p>\n</div><div class='long'><p>A vertical and/or horizontal position relative to the matched element: middle, bottom, right, center or left.</p>\n</div></div></div><div id='cfg-orientationAdjust' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-cfg-orientationAdjust' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-cfg-orientationAdjust' class='name expandable'>orientationAdjust</a> : Array<span class=\"signature\"></span></div><div class='description'><div class='short'><p>An array of numbers to adjust the positioning [0: adjust x, 1: adjust y].</p>\n</div><div class='long'><p>An array of numbers to adjust the positioning [0: adjust x, 1: adjust y].</p>\n</div></div></div><div id='cfg-transparent' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-cfg-transparent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-cfg-transparent' class='name expandable'>transparent</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication whether to allow transparent.</p>\n</div><div class='long'><p>A boolean indication whether to allow transparent.</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-method-' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-method-' class='name expandable'></a>( <span class='pre'>$, ep, epDict, tmplColorpicker</span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>ep/ui/colopicker ...</div><div class='long'><p>ep/ui/colopicker</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>$</span> : Object<div class='sub-desc'><p>JQuery</p>\n</div></li><li><span class='pre'>ep</span> : Object<div class='sub-desc'><p>ep object</p>\n</div></li><li><span class='pre'>epDict</span> : Object<div class='sub-desc'><p>dictionary</p>\n</div></li><li><span class='pre'>tmplColorpicker</span> : Object<div class='sub-desc'><p>colorpicker template</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>ep</p>\n</div></li></ul></div></div></div><div id='method-close' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-method-close' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-method-close' class='name expandable'>close</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Close a previously opened color picker. ...</div><div class='long'><p>Close a previously opened color picker.</p>\n        <p>Available since: <b>6.12.0</b></p>\n</div></div></div><div id='method-colorApply' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-method-colorApply' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-method-colorApply' class='name expandable'>colorApply</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Apply the selected color. ...</div><div class='long'><p>Apply the selected color.</p>\n        <p>Available since: <b>6.12.0</b></p>\n</div></div></div><div id='method-colorReset' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-method-colorReset' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-method-colorReset' class='name expandable'>colorReset</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Reset the selected color to the previous selected / startup color. ...</div><div class='long'><p>Reset the selected color to the previous selected / startup color.</p>\n        <p>Available since: <b>6.12.0</b></p>\n</div></div></div><div id='method-colorSelect' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-method-colorSelect' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-method-colorSelect' class='name expandable'>colorSelect</a>( <span class='pre'>[color]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Select an additional color or refresh the state of the selected color. ...</div><div class='long'><p>Select an additional color or refresh the state of the selected color.</p>\n        <p>Available since: <b>6.12.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>color</span> : String (optional)<div class='sub-desc'><p>A named or hex formated color to apply.</p>\n</div></li></ul></div></div></div><div id='method-open' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-method-open' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-method-open' class='name expandable'>open</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Call up a previously attached color picker. ...</div><div class='long'><p>Call up a previously attached color picker.</p>\n        <p>Available since: <b>6.12.0</b></p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-event'>Events</h3><div class='subsection'><div id='event-close' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-event-close' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-event-close' class='name expandable'>close</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This event is triggered when the color picker close. ...</div><div class='long'><p>This event is triggered when the color picker close.</p>\n        <p>Available since: <b>6.12.0</b></p>\n</div></div></div><div id='event-colorApply' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-event-colorApply' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-event-colorApply' class='name expandable'>colorApply</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This event is triggered when the selected color applies. ...</div><div class='long'><p>This event is triggered when the selected color applies.</p>\n        <p>Available since: <b>6.12.0</b></p>\n</div></div></div><div id='event-colorReset' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-event-colorReset' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-event-colorReset' class='name expandable'>colorReset</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This event is triggered when the selected color resets. ...</div><div class='long'><p>This event is triggered when the selected color resets.</p>\n        <p>Available since: <b>6.12.0</b></p>\n</div></div></div><div id='event-colorSelect' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-event-colorSelect' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-event-colorSelect' class='name expandable'>colorSelect</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This event is triggered when a color selects. ...</div><div class='long'><p>This event is triggered when a color selects.</p>\n        <p>Available since: <b>6.12.0</b></p>\n</div></div></div><div id='event-open' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiColorpicker'>jQuery.ui.uiColorpicker</span><br/><a href='source/colorpicker.html#jQuery-ui-uiColorpicker-event-open' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiColorpicker-event-open' class='name expandable'>open</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This event is triggered when the color picker opens. ...</div><div class='long'><p>This event is triggered when the color picker opens.</p>\n        <p>Available since: <b>6.12.0</b></p>\n</div></div></div></div></div></div></div>","meta":{}});